From: Hemanth Kumar <hemanthkumar51@gmail.com>
To: linux-btrfs@vger.kernel.org, xfs@oss.sgi.com
Cc: chethan.casey@gmail.com, sandeen@redhat.com, sensille@gmx.net,
ganeshkumar14@gmail.com, praneethu.u@gmail.com,
hugo@carfax.org.uk, bo.li.liu@oracle.com, skjmca51@gmail.com,
Hemanth Kumar <hemanthkumar51@gmail.com>,
kirantpatil@gmail.com
Subject: [Tests] xfs test[298]: Btrfs Quota testing
Date: Fri, 22 Feb 2013 11:24:04 +0530 [thread overview]
Message-ID: <1361512444-3451-1-git-send-email-hemanthkumar51@gmail.com> (raw)
Signed-off-by: Hemanth Kumar <hemanthkumar51@gmail.com>
---
298 | 37 +++++++++++++++++++++++++++++++++++++
298.out | 12 ++++++++++++
2 files changed, 49 insertions(+)
create mode 100644 298
create mode 100644 298.out
diff --git a/298 b/298
new file mode 100644
index 0000000..d699fb7
--- /dev/null
+++ b/298
@@ -0,0 +1,37 @@
+
+#! /bin/bash
+# FS QA Test No. 298
+#
+# Test btrfs's quotas
+#
+#------------------------------------------------------------------
+#
+# creator
+#owner=hemanthkumar51@gmail.com
+
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=/tmp/$$
+status=1 # failure is the default!
+
+_cleanup()
+{
+ rm -rf $tmp.*
+}
+
+trap "_cleanup ; exit \$status" 0 1 2 3 15
+
+#Enabeling btrfs qutas
+btrfs quota enable $TEST_DIR
+echo "quota enabled on $TEST_DEV"
+btrfs subvolume create $TEST_DIR/vol1
+echo "vol1 created"
+btrfs qgroup show $TEST_DIR
+btrfs qgroup limit 2m $TEST_DIR/vol1
+echo "qgroup limited to 2mb"
+dd if=$TEST_DEV of=$TEST_DIR/vol1/file1 bs=3M count=1
+echo "tried to write 3m worth data"
+exit
diff --git a/298.out b/298.out
new file mode 100644
index 0000000..344ab7f
--- /dev/null
+++ b/298.out
@@ -0,0 +1,12 @@
+QA output created by 298
+quota enabled on /dev/sdb5
+Create subvolume '/test/vol1'
+vol1 created
+0/257 4096 4096
+qgroup limited to 2mb
+dd: writing ‘/test/vol1/file1’: Disk quota exceeded
+1+0 records in
+0+0 records out
+2031616 bytes (2.0 MB) copied, 0.135429 s, 15.0 MB/s
+tried to write 3m worth data
+
--
1.8.1.2
_______________________________________________
xfs mailing list
xfs@oss.sgi.com
http://oss.sgi.com/mailman/listinfo/xfs
next reply other threads:[~2013-02-22 5:54 UTC|newest]
Thread overview: 2+ messages / expand[flat|nested] mbox.gz Atom feed top
2013-02-22 5:54 Hemanth Kumar [this message]
2013-02-23 1:08 ` [Tests] xfs test[298]: Btrfs Quota testing Dave Chinner
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1361512444-3451-1-git-send-email-hemanthkumar51@gmail.com \
--to=hemanthkumar51@gmail.com \
--cc=bo.li.liu@oracle.com \
--cc=chethan.casey@gmail.com \
--cc=ganeshkumar14@gmail.com \
--cc=hugo@carfax.org.uk \
--cc=kirantpatil@gmail.com \
--cc=linux-btrfs@vger.kernel.org \
--cc=praneethu.u@gmail.com \
--cc=sandeen@redhat.com \
--cc=sensille@gmx.net \
--cc=skjmca51@gmail.com \
--cc=xfs@oss.sgi.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox